Bug 671924 - wrong ownership of slaves folder
wrong ownership of slaves folder
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: bind (Show other bugs)
14
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Adam Tkac
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-01-22 18:00 EST by teptwep
Modified: 2013-04-30 19:48 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-02-18 08:25:41 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description teptwep 2011-01-22 18:00:35 EST
Description of problem:

When i try to transfer a slave zone to fedora 14 i get this error in the log:

named[3446]: zone example.org/IN: transfer: could not set file modification time of '/var/named/slaves/example.org.hosts': permission denied

note that named is chrooted: /usr/sbin/named -u named -t /var/named/chroot
so the file mentioned in the log is actually /var/named/chroot/var/named/slaves/example.org.host

i noticed that the folder /var/named/chroot/var/named/slaves is owned by root:root

changing the ownership of /var/named/chroot/var/named/slaves to named:named fixed this problem.

unfortunatley i'm not sure of whether it's bind or webmin that created that folder in the first place, so appologies.

Version-Release number of selected component (if applicable):

bind-chroot-9.7.2-5.P3.fc14.i686 and bind-9.7.2-5.P3.fc14.i686


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Adam Tkac 2011-02-18 08:25:41 EST
bind package installs /var/named/slaves with correct perms by default (owned by named:named).

When talking about chroot configuration, initscript mounts (via mount --bind) /var/named/ directory to /var/named/chroot/var/named so perms of "slaves" subdirectory are preserved.

In my opinion it wasn't bind which created slaves subdirectory with wrong perms.

Closing, please reopen if you hit this problem again and also please specify how you were able to create slaves subdirectory with wrong perms.

Note You need to log in before you can comment on or make changes to this bug.